import { createReduxStore, register } from '@wordpress/data';
import { reducer } from './reducer';
import { selectors } from './selectors';
import { actions } from './actions';
import { storeName } from './constants';

const store = createReduxStore(storeName, {
	reducer,
	actions,
	selectors,
});

register(store);

export { store, storeName };
